%% Import two files
Close = dataset('XLSFile', 'join_demo.xlsx','Sheet','Close');
Rt = dataset('XLSFile', 'join_demo.xlsx','Sheet','Rt');

%% Create financial time series
Close_fints = fints(Close.date, Close.Close, 'Close');
Rt_fints = fints(Rt.date, Rt.Rt, 'Rt');

%% Merge two time series data with NaN
New3 = merge(Close_fints,Rt_fints);

%% Merge two time series data without NaN
New4 = merge(Close_fints,Rt_fints, 'DateSetMethod','Intersection');