%% Import two files
% hard to merge with this loading process
% [Close, Close_date, ~] = xlsread('join_demo.xlsx','Close');
% [Rt, Rt_date, ~] = xlsread('join_demo.xlsx','Rt');

%% Import with dataset array
Close = dataset('XLSFile', 'join_demo.xlsx','Sheet','Close');
Rt = dataset('XLSFile', 'join_demo.xlsx','Sheet','Rt');

%% Transfer date to date number
Close.date = datenum(Close.date);
Rt.date = datenum(Rt.date);

%% Merge dataset by date with NaN
New1 = join(Close, Rt, 'Type','outer','MergeKeys',true);
New1.date = cellstr(datestr(New1.date));

%% Merge dataset by date without NaN
New2 = join(Close, Rt, 'Type','inner','MergeKeys',true);
New2.date = cellstr(datestr(New2.date));


