%% load the data

load cereal

%% define variables

Y = Calories;
X = [Fat Protein Sugars];

%% fit the model

mdl = fitlm(X,Y)

%% see the result and plot the residual

R_2 = mdl.Rsquared.Adjusted;

disp(['The Adjusted R-Squared of this model is  ', num2str(R_2)])

plotResiduals(mdl,'prob')