function [moment, cov_x, corr_x ] = descriptive_stat(X)

moment_x(1,:) = mean(X);
moment_x(2,:) = median(X);
moment_x(3,:) = mode(X);
moment_x(4,:) = std(X);
moment_x(5,:) = var(X);
moment_x(6,:) = skewness(X);
moment_x(7,:) = kurtosis(X);
cov_x = cov(X);
corr_x = corr(X);

moment = mat2dataset(moment_x, 'ObsNames', {'means','median','mode','std','vaeiance'...
    ,'skewness','kurtosis'});

end

