%% load the grade example
T = dataset('XLSFile','grades.xlsx');

%% Test if Chinese grades greater than 70 under 0.05 significant level
Chinese = T.Chinese;
[h1,p1,ci1,stats1] = ttest(Chinese, 70,'tail','right');

%% Test paired two samples under 0.01 significant level
% null : Chinese grade is equal to English grades (paired sample)
English = T.English;
[h2,p2,ci2,stats2] = ttest(Chinese, English, 'alpha', 0.01);

%% Test two samples with eaqul population under 0.01 significant level
% null : Chinese grade is equal to English grades (pooled sample)
[h3,p3,ci3,stats3] = ttest2(Chinese, English, 'alpha', 0.05);

%% Test two samples without  eaqul population under 0.01 significant level
[h4,p4,ci4,stats4] = ttest2(T.Math, T.History, 'alpha', 0.01, 'Vartype', 'unequal');
